
<div class="mat-elevation-z8">
    <mat-form-field class="aa" >
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter" >
      </mat-form-field>
      <div class="panel panel-default">
        <div class="panel-heading">
            <h1>Users</h1>
        </div>
        <div class="panel-body">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>nom</th>
                        <th>prenom</th>
                        <th>email</th>
                        <th>password</th>
                        <th>role</th>
                        <th>exeption</th>
                    </tr>
                </thead>
                <tbody> 
                    <tr *ngFor="let user of users">
                        <td>{{user.nom}}</td>
                        <td>{{user.prenom}}</td>
                        <td>{{user.email}}</td>
                        <td>{{user.password}}</td>
                        <td>{{user.role}}</td>
                        <td>
                          <button  (click)="onDeleteUser(user.id)" class="btn btn-sm btn-dark" ><i class="fa fa-trash-alt" id="delte"></i></button>
                          <button (click)="onEditUser(user)" class="btn btn-sm btn-dark" id="btn"><i class="fa fa-pencil-alt" id="modifier"></i></button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

  <mat-paginator class="paginator" [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>


